Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version:		071100
Release:		7mdk
Copyright:		GPL
Group:			System/Servers

BuildRequires:		popt-devel
Prereq:			/sbin/chkconfig

Source0: 		acpid-%{version}.tar.bz2
Source1:		acpid.rc.bz2
Patch0:			acpid-kernel-acpi-h.patch.bz2

URL:			http://phobos.fs.tum.de/acpi/
BuildRoot:		%{_tmppath}/%{name}-buildroot
ExclusiveArch:		%{ix86}

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner.  The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep 
%setup
%patch -p1

%build
%serverbuild
%configure
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/acpid.rc
install -m755 $RPM_BUILD_ROOT/acpid.rc $RPM_BUILD_ROOT/etc/rc.d/init.d/acpid

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%defattr(-,root,root)
%doc doc/README [A-Z]*
%doc doc/build.txt
%{_prefix}/sbin/*
%{_prefix}/bin/*
%config(noreplace) /etc/rc.d/init.d/*

%changelog
* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 071100-7mdk
- noreplace on initscript
- use server macros

* Sun Feb 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-6mdk
- ExclusiveArch: x86 (for now)
- Much spec cleaning

* Fri Nov 03 2000 David BAUDENS <baudens@mandrakesoft.com> 071100-5mdk
- ExcludeArch: ppc at present time

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 071100-4mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 071100-3mdk
- little cleaning

* Thu Jul 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-2mdk
- Version 071100 (requires acpi interpreter from 2.4.0-test3 or later)

* Fri Jun 09 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 052200-1mdk
- Version 052200
- Uses configure script not manual make method.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 031700-5mdk
- Add alpha to ExcludeArch.

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 031700-4mdk
- Replaced exclusivearch <shitload of x86> with ExcludeArch sparc sparc64

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 031700-3mdk
- exclusivearch x86

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-2mdk
- use percent-config for init.d startup script
- compress acpid.rc with bzip2

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-1mdk
- initial contribs version of acpid package
